<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.gyee</groupId>
    <artifactId>alarmNew</artifactId>
    <version>1.0-SNAPSHOT</version>
    <modules>
        <module>alarm-scanner</module>
        <module>alarm-service</module>
        <module>alarm-custom</module>
        <module>alarm-web</module>
    </modules>
    <packaging>pom</packaging>

    <name>alarmNew</name>



    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.7.1</version>
                <configuration>
                    <!--maven编译时将本地引用的jar包一起打包-->
                    <includeSystemScope>true</includeSystemScope>
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
